package com.yidianling.tests.list.view

import com.hannesdorfmann.mosby3.mvp.MvpView
import com.yidianling.tests.list.model.bean.TestCategory
import com.yidianling.ydlcommon.pay.redpacket.RedPacketBean

/**
 * TestListActivityView
 * Created by zqk on 17-11-22.
 */
interface TestListActivityView : MvpView {
    fun onTestCategoryListFetched(testCategoryList: MutableList<TestCategory>)
    fun couponResponse(list : ArrayList<RedPacketBean>)
    fun onFailed(msg: String?)
    fun onError(t: Throwable)
}